Skip to main content
PUT
/
webhooks
/
{webhook_id}
Update a webhook
curl --request PUT \
  --url https://api.engine.usesophic.com/webhooks/{webhook_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "url": "<string>",
  "is_active": true,
  "description": "<string>"
}
'
{
  "id": "<string>",
  "url": "<string>",
  "is_active": true,
  "description": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "modified_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

webhook_id
string
required

The ID of the webhook to update.

Body

application/json
url
string

The URL of the webhook. Note that the URL must use HTTPS and must not be an IP address.

is_active
boolean

Whether the webhook is active.

description
string

Optional description of what the webhook is used for.

Response

OK

Webhook subscription resource (secret is not exposed).

id
string
required

Unique resource identifier.

url
string
required

The URL of the webhook.

is_active
boolean
required

Whether the webhook is active.

description
string | null
required

Optional description of what the webhook is used for.

created_at
string<date-time>
required

The timestamp (in ISO-8601 format) of when the resource was created.

modified_at
string<date-time>
required

The timestamp (in ISO-8601 format) of when the resource was last modified.